GET api/InternalApp?sku={sku}¤tPrice={currentPrice}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| sku | string |
Required |
|
| currentPrice | decimal number |
Required |
Body Parameters
None.
Response Information
Resource Description
PriceComparisonListModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Sku | string |
None. |
|
| SKuTitle | string |
None. |
|
| CurrentPrice | string |
None. |
|
| Competitors | Collection of PriceComparisonModel |
None. |
|
| PriceComment | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"sku": "sample string 1",
"sKuTitle": "sample string 2",
"currentPrice": "sample string 3",
"competitors": [
{
"$id": "2",
"currentPrice": "sample string 1",
"lastPrice": "sample string 2",
"qty": 3,
"qtyTxt": "sample string 4",
"storeName": "sample string 5"
},
{
"$ref": "2"
}
],
"priceComment": "sample string 4"
}